# Affiliates

- [The affiliate object](https://developers.rewardful.com/rest-api/affiliates/object.md)
- [List affiliates](https://developers.rewardful.com/rest-api/affiliates/list.md): Returns a list of your affiliates. The affiliates are returned sorted by creation date, with the most recent affiliates appearing first. The list can also be filtered using various criteria.
- [Create affiliate](https://developers.rewardful.com/rest-api/affiliates/create.md): Creates a new affiliate in your account with the specified parameters.
- [Retrieve affiliate](https://developers.rewardful.com/rest-api/affiliates/retrieve.md): Retrieves the details of an existing affiliate. You need only supply the unique affiliate identifier that was returned upon affiliate creation.
- [Update affiliate](https://developers.rewardful.com/rest-api/affiliates/update.md): Updates the specified affiliate by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
- [Magic Link (SSO)](https://developers.rewardful.com/rest-api/affiliates/sso.md): Retrieve a secure, one-time URL that will automatically login an affiliate to their dashboard.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.rewardful.com/rest-api/affiliates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
